package starmap

import "sync"

var globalMap StarMapKV

type StarMapKV struct {
	kvMap map[interface{}]interface{}
	mu    sync.RWMutex
}

type StarStackMem struct {
	kvPushmu sync.RWMutex
	kvStack  []interface{}
}

func init() {
	globalMap = NewStarMap()
}

func NewStarMap() StarMapKV {
	var mp StarMapKV
	mp.kvMap = make(map[interface{}]interface{})
	return mp
}
